%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           librapi
Version:        0.11
Release:        2%{?dist}
Summary:        Library to connect to Pocket PC devices

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.synce.org
Source0:        http://download.sf.net/synce/librapi2-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libsynce-devel >= 0.11
BuildRequires:  libtool, Pyrex

# Provide an upgrade path from the monilithic synce package
Provides:       synce = %{version}-%{release}
Obsoletes:      synce <= 0.9.1-10

%description
The RAPI library is an open source implementation that works like RAPI.DLL,
available on Microsoft operating systems. The library makes it possible to make
remote calls to a computer running Pocket PC.
In order to use librapi, a daemon that the Pocket PC client connects to must be
running on the computer using librapi.

%package devel
Summary: Development libraries and header files for librapi
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: libsynce-devel

%description devel
This package contains the header files and link libraries for librapi

%package -n python-rapi
Summary: Python bindings to librapi (part of SynCE)
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description -n python-rapi
This package contains the python bindings to librapi, a componenent
of the SynCE PocketPC connection framework.
The python module to import is named "pyrapi2"


%prep
%setup -q -n librapi2-%{version}


%build
%configure --disable-static --disable-rpath
make LIBTOOL=%{_bindir}/libtool %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.{la,a}
rm -f $RPM_BUILD_ROOT%{python_sitearch}/pyrapi2.{la,a}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc BUGS ChangeLog README README.contributing TODO
%{_bindir}/*
%{_libdir}/librapi.so.2*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%doc README.design
%{_includedir}/*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

%files -n python-rapi
%defattr(-,root,root,-)
%{python_sitearch}/pyrapi2.so


%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.11-2
- Autorebuild for GCC 4.3

* Wed Jan 09 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11-1
- version upgrade

* Fri Dec 21 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.10.0-2
- fix BR

* Wed May 09 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.10.0-1
- version 0.10.0
- new python bindings in a subpackage

* Sat Mar 03 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.3-1
- split off the synce package
